<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.system.core.events</groupId>
        <artifactId>events</artifactId>
        <version>1.10.1</version>
        <relativePath>../../events/pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>events-rest</artifactId>
    <name>SYSTEM :: ENTAXY :: CORE :: EVENTS :: REST</name>
    <packaging>bundle</packaging>

    <properties>
        <bundle.osgi.import.pkg>
            org.apache.cxf.jaxrs.impl,
            org.apache.camel.component.cxf.jaxrs.blueprint,
            org.apache.camel.component.cxf.blueprint,
            ru.entaxy.esb.system.core.permission.handler,
            *
        </bundle.osgi.import.pkg>
        <!-- bundle.osgi.private.pkg>
        	ru.entaxy.esb.system.core.events.rest,
        	ru.entaxy.esb.system.core.events.rest.aggregation,
        	ru.entaxy.esb.system.core.events.rest.exception,
        	ru.entaxy.esb.system.core.events.rest.response
        </bundle.osgi.private.pkg-->
    </properties>


    <dependencies>
        <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>artemis-jms-client</artifactId>
            <version>${activemq.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.events</groupId>
            <artifactId>events-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
		  <groupId>ru.entaxy.platform.security.jaas</groupId>
		  <artifactId>entaxy-legacy-auth-api</artifactId>
            <version>${project.version}</version>
		</dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.events</groupId>
            <artifactId>events-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>

    </dependencies>
</project>
